%define real_name sccs

Summary: SCCS is an implementation of the POSIX standard Source Code Control System.
Name: schily-%{real_name}
Version: 5.01
Release: 1
License: GPLv3+
Group: Development/Tools
URL: http://sccs.berlios.de/
Source0: ftp://ftp.berlios.de/pub/sccs/%{real_name}-%{version}.tar.bz2
# we don't want any compile link paths in the executables
Patch0: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: schily-make
BuildRequires: gettext
Requires: gettext

%description
SCCS is an implementation of the POSIX standard Source Code Control System.
It is based on the original UNIX SCCS code provided by Sun as part of
OpenSolaris and was made portable to other platforms.

This version is the one enhanced by Joerg Schilling.


%prep
# the version number is wrong
%setup -q -n %{real_name}-5.1
chmod -R u+w *
%patch0


%build
smake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

smake "INS_BASE=%{_prefix}" "DESTDIR=${RPM_BUILD_ROOT}" DEFMANBASE=. STRIPFLAGS=-s install

# remove non-packaged files
rm -rf ${RPM_BUILD_ROOT}%{_libdir}/lib*.a
rm -rf ${RPM_BUILD_ROOT}%{_libdir}/profiled
rm -rf ${RPM_BUILD_ROOT}%{_includedir}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AN* COPYING PORTING README*
%{_bindir}/*
%{_prefix}/ccs
%{_mandir}/man?/*
%{_prefix}/xpg4
/usr/linux/bin/*


%changelog
* Mon Jul 11 2011 Michael Perzl <michael@perzl.org> - 5.01-1
- first version for AIX V5.1 and higher
